@echo off

REM     installation directory for this support pack (IH05).
REM     Users must set this environment variable or uncomment the following line
REM             which assumes the default installation path
REM set MQSI_HOME=C:\Program Files\IBM\WebSphere MQ Integrator 2.1


REM     The 3 ma88 user exits.
REM set MQSI_SECEXIT=com.ibm.broker.wmqicmds.userexit.MQUserExit
REM set MQSI_SENDEXIT=com.ibm.broker.wmqicmds.userexit.MQUserExit
REM set MQSI_RECEXIT=com.ibm.broker.wmqicmds.userexit.MQUserExit




REM     Ensure we pick up the user classpath
set ap_classpath=%CLASSPATH%


REM     ensure that the installation directory variable is set
if "%MQSI_HOME%"=="" set MQSI_HOME=C:\Program Files\IBM\WebSphere MQ Integrator 2.1


REM     classpath variables
set MQSI_JRE_HOME=%MQSI_HOME%\Tool\bin
set MQSI_CLASS_HOME=%MQSI_HOME%\classes


REM     prepare the classpath for the JRE
set ap_classpath=%MQSI_CLASS_HOME%\com.ibm.mq.jar;%MQSI_CLASS_HOME%\connector.jar;%MQSI_CLASS_HOME%\jta.jar;%MQSI_CLASS_HOME%\ih05.jar;%MQSI_CLASS_HOME%\ih05ue.jar;%ap_classpath%

REM     enable message bundles for IH05, MA88 and Integrator
set ap_classpath=%ap_classpath%;%MQSI_HOME%\messages;%MQSI_HOME%\classes;%MQSI_HOME%\Tool


set cmdVars=

REM     ensure that the installation directory variable is set
if "%MQSI_HOME%"=="" goto no_MQSI_HOME
set cmdVars=-DMQSI_HOME="%MQSI_HOME%"
goto nextVariable

:no_MQSI_HOME
echo "Environment variable MQSI_HOME must be set in this .cmd file or in the users environment. Please see the supplied documentation"
goto exit


:nextVariable

REM     test to see if trace should be set for the command
if "%MQSI_UTILITY_TRACE%"=="" goto noTrace
set cmdVars=-DMQSI_UTILITY_TRACE="%MQSI_UTILITY_TRACE%" %cmdVars%

:noTrace

REM     test to see if any user exits should be set for the command
if "%MQSI_SECEXIT%"=="" goto noSecExit
set cmdVars=-DMQSI_SECEXIT="%MQSI_SECEXIT%" %cmdVars%

:noSecExit

if "%MQSI_SENDEXIT%"=="" goto noSendExit
set cmdVars=-DMQSI_SENDEXIT="%MQSI_SENDEXIT%" %cmdVars%

:noSendExit

if "%MQSI_RECEXIT%"=="" goto noRecExit
set cmdVars=-DMQSI_RECEXIT="%MQSI_RECEXIT%" %cmdVars%

:noRecExit




REM     go and get some arguments, this looks odd but it allows
REM     for a quoted string eg "An EG", and allows for some increase
REM     in the number of arguments

set cmdArgs=%1 %2 %3 %4 %5 %6 %7 %8 %9
for %%a in (0 1 2 3 4 5 6 7 8 9) do shift
set cmdArgs=%cmdArgs% %0 %1 %2 %3 %4 %5 %6 %7 %8 %9
for %%a in (0 1 2 3 4 5 6 7 8 9) do shift
set cmdArgs=%cmdArgs% %0 %1 %2 %3 %4 %5 %6 %7 %8 %9
for %%a in (0 1 2 3 4 5 6 7 8 9) do shift
set cmdArgs=%cmdArgs% %0 %1 %2 %3 %4 %5 %6 %7 %8 %9



REM     and drive the command
"%MQSI_JRE_HOME%\java" -classpath "%ap_classpath%" %cmdVars% com.ibm.broker.wmqicmds.WMQIRemoteChangeTrace %cmdArgs%


:exit
set cmdArgs=
set cmdVars=

